<div *ngIf="userPortfolios.length === 0" class="parent">
    <h1><p><strong>No Available Portfolios For this User....</strong></p></h1>
</div>

<div *ngFor="let portfolio of userPortfolios">
    
    <mat-card style="height: 235px;margin: 2%;background-image: url('https://imgkub.com/images/2022/02/08/bg.jpg');" class="mat-elevation-z8">
        <mat-card-title>
            {{portfolio.portfolioName}}
        </mat-card-title>

        <mat-divider></mat-divider>

        <mat-card-content>
            <br>
            <h3><span style="color: black;"><strong> Portfolio Type : </strong>{{portfolio.portfolioType}}</span></h3>

            <h3><span style="color: black;"><strong> Portfolio Created By : </strong>{{portfolio.createdBy}}</span></h3>
    
            <h3><span style="color: black;"><strong> Portfolio Owners : </strong>{{portfolio.portfolioOwners}}</span></h3>

        </mat-card-content>

        <mat-divider></mat-divider>
        <br>
        <mat-dialog-actions style="float: right;">
            <a href='{{portfolio.portfolioType}}/{{portfolio.id}}'><button mat-raised-button color="warn">Track Investment</button></a>
        </mat-dialog-actions>
    </mat-card>

</div>
